HttpRequest::clearHistory
HttpRequest::enableCookies
The HttpRequest
PHP Manual

# HttpRequest::__construct

(PECL pecl_http >= 0.10.0)

HttpRequest::__construct — HttpRequest constructor

### Descrição

public void HttpRequest::__construct ([ string `$url` [, int `$request_method` = HTTP_METH_GET [, array `$options` ]]] )

Instantiate a new HttpRequest object.

### Parâmetros

`url`

  the target request url

`request_method`

  the request method to use

`options`

  an associative array with request options

### Erros

Throws HttpException.

HttpRequest::clearHistory
HttpRequest::enableCookies
The HttpRequest
PHP Manual